# HG changeset patch
# User Anthony Foiani <anthony.foiani@gmail.com>
# Date 1335491759 21600
# Node ID 7ea324ba49881cef5305ed977e2dd8849cecf793
# Parent  c7fa97debb36bcea78a28a639d1ae569997cc6f2
Allow multi-word "install" command.

Autoconf can determine that the correct install command includes flags,
e.g., "/usr/bin/install -c".  When using this as a command, we can't
enclose the value in double-quotes, as that makes some shells use the
whole expression as a filename:

  # this is the value returned by autoconf and stored in CT_install
  $ ins="/usr/bin/install -c"

  # if we call it with quotes, the command is not found
  $ "${ins}"
  bash: /usr/bin/install -c: No such file or directory

  # removing the quotes lets it work as expected
  $ ${ins}
  /usr/bin/install: missing file operand
  Try `/usr/bin/install --help' for more information.

Signed-Off-By: Anthony Foiani <anthony.foiani@gmail.com>

diff -r c7fa97debb36 -r 7ea324ba4988 scripts/populate.in
--- a/scripts/populate.in	Mon Apr 02 19:50:22 2012 +0200
+++ b/scripts/populate.in	Thu Apr 26 19:55:59 2012 -0600
@@ -205,7 +205,7 @@
                 *)      mode=0644;;
             esac
             ${CT_PRINTF} "      installing as '%s/%s', mode='%s'\n" "${dir}" "${true_libname}" "${mode}"
-            "${install}" -m "${mode}" "${libfile}" "${dir}/${true_libname}"
+            ${install} -m "${mode}" "${libfile}" "${dir}/${true_libname}"
             do_resolve_deps "${dir}/${true_libname}"
             return 0
         fi
